QName (JiBX Java data binding to XML - Version 1.2.6)
Date: 2014-12-30

org.jibx.runtime

## Class QName

- java.lang.Object
- - org.jibx.runtime.QName

-     public class QName
      extends java.lang.Object

  Representation of a qualified name. This includes the JiBX serializer/deserializer methods for the representation. It assumes that the actual namespace declarations are being handled separately for marshalling

  Note that this implementation treats only the namespace and local name as significant for purposes of comparing values. The prefix is held only as a convenience, and the actual prefix used when writing a value may differ from the prefix defined by the instance.

  Author:
    Dennis M. Sosnoski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QName(java.lang.String name)` Constructor from local name only.
    `QName(java.lang.String uri, java.lang.String name)` Constructor from namespace and local name.
    `QName(java.lang.String uri, java.lang.String prefix, java.lang.String name)` Constructor from full set of components.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QName` | `deserialize(java.lang.String text, IUnmarshallingContext ictx)` JiBX deserializer method.
    `static QName[]` | `deserializeList(java.lang.String text, IUnmarshallingContext ictx)` JiBX deserializer method.
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getName()` Get local name.
    `java.lang.String` | `getPrefix()` Get namespace prefix.
    `java.lang.String` | `getUri()` Get namespace URI.
    `int` | `hashCode()`
    `static java.lang.String` | `serialize(QName qname, IMarshallingContext ictx)` JiBX serializer method.
    `static java.lang.String` | `serializeList(QName[] qnames, IMarshallingContext ictx)` JiBX serializer method.
    `void` | `setName(java.lang.String name)` Set local name.
    `void` | `setPrefix(java.lang.String prefix)` Set namespace prefix.
    `void` | `setUri(java.lang.String uri)` Set namespace URI.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QName

          public QName(java.lang.String uri,
               java.lang.String prefix,
               java.lang.String name)

      Constructor from full set of components.
      Parameters:
        `uri` - namespace uri, `null` if no-namespace namespace
        `prefix` - namespace prefix, `null` if unspecified, empty string if default namespace
        `name` - local name

    - #### QName

          public QName(java.lang.String uri,
               java.lang.String name)

      Constructor from namespace and local name. This constructor is provided as a convenience for when the actual prefix used for a namespace is irrelevant.
      Parameters:
        `uri` - namespace uri, `null` if no-namespace namespace
        `name` -

    - #### QName

          public QName(java.lang.String name)

      Constructor from local name only. This constructor is provided as a convenience for names in the no-namespace namespace.
      Parameters:
        `name` -

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getName

          public java.lang.String getName()

      Get local name.
      Returns:
        name

    - #### setName

          public void setName(java.lang.String name)

      Set local name.
      Parameters:
        `name` - name

    - #### getPrefix

          public java.lang.String getPrefix()

      Get namespace prefix.
      Returns:
        prefix, `null` if unspecified, empty string if default namespace

    - #### setPrefix

          public void setPrefix(java.lang.String prefix)

      Set namespace prefix.
      Parameters:
        `prefix` - prefix, `null` if unspecified, empty string if default namespace

    - #### getUri

          public java.lang.String getUri()

      Get namespace URI.
      Returns:
        uri namespace uri, `null` if no-namespace namespace

    - #### setUri

          public void setUri(java.lang.String uri)

      Set namespace URI.
      Parameters:
        `uri` - namespace uri, `null` if no-namespace namespace

    - #### deserialize

          public static QName deserialize(java.lang.String text,
                          IUnmarshallingContext ictx)
                                   throws JiBXException

      JiBX deserializer method. This is intended for use as a deserializer for instances of the class.
      Parameters:
        `text` - value text
        `ictx` - unmarshalling context
      Returns:
        created class instance
      Throws:
        `JiBXException` - on error in unmarshalling

    - #### serialize

          public static java.lang.String serialize(QName qname,
                                   IMarshallingContext ictx)
                                            throws JiBXException

      JiBX serializer method. This is intended for use as a serializer for instances of the class. The namespace must be active in the output document at the point where this is called.
      Parameters:
        `qname` - value to be serialized
        `ictx` - unmarshalling context
      Returns:
        created class instance
      Throws:
        `JiBXException` - on error in marshalling

    - #### deserializeList

          public static QName[] deserializeList(java.lang.String text,
                                IUnmarshallingContext ictx)
                                         throws JiBXException

      JiBX deserializer method. This is intended for use as a deserializer for a list made up of instances of the class.
      Parameters:
        `text` - value text
        `ictx` - unmarshalling context
      Returns:
        array of instances
      Throws:
        `JiBXException` - on error in marshalling

    - #### serializeList

          public static java.lang.String serializeList(QName[] qnames,
                                       IMarshallingContext ictx)
                                                throws JiBXException

      JiBX serializer method. This is intended for use as a serializer for a list made up of instances of the class. The namespace must be active in the output document at the point where this is called.
      Parameters:
        `qnames` - array of names to be serialized
        `ictx` - unmarshalling context
      Returns:
        generated text
      Throws:
        `JiBXException` - on error in marshalling

Project Web Site |